#include "include.h"
#include "macro.h"

#include "editor.h"

int
main (int argc, const char *argv[])
{
  FILE *F;
  int NoLevel;
  int signature;
  char world_name[100];
  char next_world[100];

  printf ("\tSMA Level compilor v" VERSION " of " __DATE__ " by PpHd\n");

  if (argc < 2)
    {
      printf ("Usage : %s World.txt\n", argv[0]);
      return 0;
    }

  F = xopen (argv[1], "r");
  NoLevel = read_world (F, world_name, next_world, &signature);
  xclose (F);
  return make_world (world_name, NoLevel, next_world, signature);
}
