#ifndef MY_MACROS

#define MY_MACROS

typedef unsigned long int ul;
typedef signed long int sl;
typedef unsigned short int uw;
typedef signed short int sw;
typedef unsigned char ub;
typedef signed char sb;

#define SQR(_x) ((_x) * (_x))
#define WHEN(_t,_x,_y) ((_t) ? (_x) : (_y))
#define LSL(_x,_n) ((_x) << (_n))
#define LSR(_x,_n) ((_x) >> (_n))

void *xalloc (size_t);
FILE *xopen (const char *, const char *);
void xclose (FILE *);
void xerror (const char *);
void xfree (void *);
unsigned long filesize (const char *);
int file_exists_p (const char *);

#endif
