#define MAX_DATA 65536
#define MAX_NAME 512

#define VERSION "0.61"

typedef struct
{
  char Graph1_file[MAX_NAME];
  char Graph2_file[MAX_NAME];
  ub Type_P1;
  ub Type_P2;
  char Sprite_file[MAX_NAME];
  uw Mx;
  uw My;
  uw Sx;
  uw Sy;
  uw Sx2;
  uw Sy2;
  uw Startx;
  uw Starty;
  char Plan2[MAX_NAME];
  char Anim_file[MAX_NAME];
  char Gfx_file[MAX_NAME];
  char Test_file[MAX_NAME];
  char Level_name[MAX_NAME];
  char next_level[10];
  ub maxgraph;
  ub signature;
} LEVEL;

int create_level (LEVEL * L, int NoLevel);
int make_world (const char *, int, const char *, int signature);
int read_world (FILE *, char world_name[10], char next_world[10],
		int *signature);
